%define upstream_name    Games-Mastermind-Cracker
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Guess every code in order
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
Mastermind is a code-breaking game played by two players, the "code maker"
and the "code breaker".

This module plays the role of code breaker. The only requirement is that
you provide the answers to how many black pegs and how many white pegs a
code gives.

You must instantiate a subclass of this module to actually break codes.
There are a number of different cracker modules, described in the
/ALGORITHMS manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-11.mga8
+ Revision: 1504559
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-10.mga7
+ Revision: 1283928
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.30.0-9.mga7
+ Revision: 1164454
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.30.0-8.mga7
+ Revision: 1160236
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1027652
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 931135
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 743962
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 684831
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 511781
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 367624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 175428
- imported package perl-Games-Mastermind-Cracker


* Sat Dec 03 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
